Promptic

Create a complete tool-selection experiment

Atomically creates the experiment, managed dataset, tools, canonical cases, system-prompt settings, and required evaluator.

POST
/experiments/tool-selection

Atomically creates the experiment, managed dataset, tools, canonical cases, system-prompt settings, and required evaluator.

Authorization

BearerApiKey
AuthorizationBearer <token>

API key from AI Application settings

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/experiments/tool-selection" \  -H "Content-Type: application/json" \  -d '{    "aiComponentId": "5019a7c9-87f7-404d-b382-86b29517165e",    "tools": [      {        "name": "string",        "description": "string"      }    ],    "testCases": [      {        "query": "string",        "expectedTool": "string"      }    ]  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "datasetId": "6586f21b-ad4d-4d06-a309-712af47184a2",
  "name": "string",
  "description": "string",
  "targetModel": "string",
  "provider": "string",
  "aiComponentId": "5019a7c9-87f7-404d-b382-86b29517165e",
  "taskType": "string",
  "optimizer": "string",
  "experimentStatus": "string",
  "promptFormat": "string",
  "initialPromptMessages": [
    {
      "role": "string",
      "content": "string"
    }
  ],
  "inputVariables": [
    {
      "name": "string",
      "column": "string"
    }
  ],
  "hyperparameters": {
    "epochs": 0,
    "numFewShots": 0,
    "trainSplitRatio": 0
  },
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}